# Class: Concurrent::Actor::Behaviour::ExecutesContext

Inherits:
  Abstract
  - Object
  - Abstract
  - Concurrent::Actor::Behaviour::ExecutesContext
  show all

Defined in:
  lib-edge/concurrent/actor/behaviour/executes_context.rb

## Overview

Delegates messages and events to AbstractContext instance.

## Instance Method Summary collapse

- #on_envelope(envelope) ⇒ undocumented
- #on_event(public, event) ⇒ undocumented

## Constructor Details

This class inherits a constructor from Concurrent::Actor::Behaviour::Abstract

## Instance Method Details

### #on_envelope(envelope) ⇒ `undocumented`

    6
    7
    8

    # File 'lib-edge/concurrent/actor/behaviour/executes_context.rb', line 6

    def on_envelope(envelope)
      context.on_envelope envelope
    end

### #on_event(public, event) ⇒ `undocumented`

    10
    11
    12
    13

    # File 'lib-edge/concurrent/actor/behaviour/executes_context.rb', line 10

    def on_event(public, event)
      context.on_event(event)
      super public, event
    end